burnin {XDE} | R Documentation

## Indicator for running a MCMC burnin

### Description

When `TRUE`, log files from MCMC chains are not written to file. When `FALSE`, log files are written for every parameter by default.

### Usage

    burnin(object)

### Arguments

`object` | An object of class `XdeParameter`

### Value

logical

### Author(s)

R. Scharpf

### See Also

`XdeParameter-class`

### Examples

    data(expressionSetList)
    params <- new("XdeParameter", phenotypeLabel="adenoVsquamous",
                  esetList=expressionSetList)

    ##the replacement method for burnin is called for its side effect of
    ##providing default values of storing MCMC chains
    output(params)[2:22]
    burnin(params) <- FALSE
    output(params)[2:22]
    burnin(params) <- TRUE
    output(params)[2:22]

[Package XDE version 1.2.0 Index]